%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           librra
Version:        0.14
Release:        5%{?dist}
Summary:        Connection to Pocket PC devices, part of SynCE

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.synce.org
Source0:        http://download.sf.net/synce/librra-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libsynce-devel >= 0.14
BuildRequires:  librapi-devel >= 0.14
BuildRequires:  libmimedir-devel libmimedir-static
BuildRequires:  libtool, Pyrex

# Provide an upgrade path from the monilithic synce package
Provides:       synce = %{version}-%{release}
Obsoletes:      synce <= 0.9.1-10

%description
RRA is part of the SynCE project: http://www.synce.org

%package devel
Summary: Development libraries and header files for SynCE
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
# All header files include synce.h
Requires: libsynce-devel

%description devel
This package contains the header files and link libraries for librra

%package -n python-rra
Summary: Python bindings to librra (part of SynCE)
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n python-rra
This package contains the python bindings to librra, a componenent
of the SynCE PocketPC connection framework.
The python module to import is named "pyrra"


%prep
%setup -q

%build
%configure --disable-static --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}
rm -f $RPM_BUILD_ROOT%{python_sitearch}/pyrra.{la,a}


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README TODO ChangeLog
%{_bindir}/*
%{_libdir}/librra.so.0*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%doc lib/README
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/rra

%files -n python-rra
%{python_sitearch}/pyrra.so


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Dec  7 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.14-3
- Explicitly BR libmimedir-static in accordance with the Packaging
  Guidelines (libmimedir is still static-only).

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.14-1
- version upgrade

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 08 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.13-1
- version upgrade (#457949)
- remove patch

* Wed Jan  7 2009 Caolán McNamara <caolanm@redhat.com> - 0.11.1-3
- Resolves: rhbz#465100 backport upstream pyrra.pyx fix to make build

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.11.1-2
- Rebuild for Python 2.6

* Wed Jun 18 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11.1-1
- version upgrade

* Wed Jan 09 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-1
- version upgrade

* Fri Dec 21 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.10.0-2
- rework BR

* Wed May 09 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.10.0-1
- version 0.10.0

* Tue May 01 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.2-3
- next try at BRs

* Tue May 01 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.2-2
- add an explicit BuildRequires to help yum manage the split
- the devel package now has a pkgconfig file, Require it

* Tue May 01 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.2-1
- version 0.9.2
- drop patch0 (it uses libsynce's cflags)
- new python bindings

* Sat Mar 03 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.1-1
- split off the synce package
